Bug 19798 - Order confirmations without actual orders in the system
Order confirmations without actual orders in the system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Web Site
Classification: Red Hat
Component: Store (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lancaster
Tom Lancaster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-25 13:06 EDT by Samir Kothari
Modified: 2016-05-25 21:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-09 21:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samir Kothari 2000-10-25 13:06:13 EDT
According to our customer service group, we have order confirmations being
sent from orders@redhat.com to customers. Unfortunately, the order does not
exist in the web or rhoaprod databases. Here is some more information:
---------------------------------------------------------------
Jeffrey Cohen wrote:
 > 
 > I believe we have a big problem.
 > 
 > Below is a copy of an email confirmation regarding an order placed on
 > Oct 18.
 > 
 > Unfortunately, as far as anyone can tell, this record does not exist in
 > any database table.
 > 
 > I have checked with Peter Jones and he assured me that it was nowhere to
 > be found.
 > 
 > Additionally I have some other 'order' numbers that do not seem to be
 > anywhere:
 > 
 > W2190708
 > W2190909
 > W2192559
 > 
 > (A concerning point about these numbers is that they are fairly spread
 > out.)
 > 
 > If anyone can find these orders or find the cause of these records being
 > 'lost' and fix it, I and a lot of customers would be greatly
 > appreciative.
 > 
 > Thank you
 > 
 > -Jeff
 > 
 > ----- Original Message -----
 > From: <orders@redhat.com>
 > To: "Langford, Ann" <alangford@finsvcs.com>
 > Sent: Wednesday, October 18, 2000 11:00 AM
 > Subject: Confirmation of Order
 > 
 > > Order Number: W2193020
 > >
 > > Shipped To Billed To
 > > ------------------------------- -------------------------------
 > > Ann Langford Ann Langford
 > > 230 S. Tryon Street 230 S. Tryon Street
 > > Suite 1400 Suite 1400
 > > Charlotte, NC 28202 Charlotte, NC 28202
 > > US US
 > >
 > > Credit Card: VS XXXXXXXXXXXX9717
 > > Expires: 09/2002
 > >
 > > Item List Price Sale Price Qty Price
 > > ------------------------------- ---------- ---------- --- ----------
 > > Red Hat Linux 7 $29.95 $29.95 1 $29.95
 > >
 > > Shipping $8.95
 > > Tax $1.80
 > > ------------------------------------
 > > Total $40.70
 > >
 > > A charge of $40.70 will be made to your credit card. If you have
 > > ordered a physical item (i.e. not a service), the charge will be made
 > > upon shipment. You will receive confirmation via e-mail when the order
 > > has been shipped.
 > >
 > > If you have purchased a service from Red Hat, such as Priority Online
 > > Access, Incident Support, or Developer Support, your credit card will
 > > be charged immediately. Please visit the following URL for details on
 > > accessing your services:
 > >
 > > http://www.redhat.com/now/access_services.html
 > >
 > > If you have purchased a CCVS product please read these instructions.
 > >
 > > To obtain your key to unlock CCVS, you will need to follow these
steps:
 > >
 > > 1) Fill out the installation worksheet within the CCVS RPM
(setup.txt).
 > > Information needed here will be your merchant account information,
 > > which your financial institution will help you obtain.
 > > 2) Call a customer service representative at 919-547-0012 or
 > > 888-REDHAT-1 x500 from 9am-5pm eastern time. With the information
 > > from your completed installation worksheet and your merchant
 > > account representative's contact information we will activate your
 > > key.
 > >
 > > If you have any questions regarding this order, please call
 > > (800)454-5502 or (919)547-0012 and provide the order number given
above
 > > to the sales representative.
 > >
 > > Thank you for ordering from www.redhat.com
 > 
 > --
 > Jeffrey Cohen www.redhat.com
 > Account Coordinator P:919-547-0012 ext. 264
 > 2600 Meridian Parkway F:919-547-0439
 > Durham NC 27707 jcohen@redhat.com
Comment 1 Jeffrey Cohen 2000-10-30 14:32:37 EST
Add to this list:

w2183160
w2190708
w2191770
w2191779
w2192504

-Jeff
Comment 2 Jeffrey Cohen 2001-01-08 12:37:51 EST
Still seem to be having this problem.  Which is _VERY_ unsettling!

Received a call from: Bruce Cornett, whose username is: brucecornett.

He successfully processed an order from our external web-store on January 2,
2001.

See the following "Oder Confirmation"

Subject: 
         Confirmation of Order
    Date: 
         Mon, 08 Jan 2001 12:11:40 -0500
   From: 
         orders@redhat.com (by way of Bruce Cornett <bcornett@servlet.com>)
     To: 
         jcohen@redhat.com




Order Number: W2209814

Shipped To                          Billed To
-------------------------------     -------------------------------
Bruce Cornett                       Bruce Cornett                  
1220 Xenia Ave                      1220 Xenia Ave                 
Box 266                             Box 266                        
Yellow Springs, OH 45387            Yellow Springs, OH 45387       
US                                  US                             

Credit Card: VS XXXXXXXXXXXX5644
    
    Expires: 03/2001

Item                            List Price Sale Price Qty Price
------------------------------- ---------- ---------- --- ----------
Red Hat Professional Server +  
Free Red Hat Cap                   $179.95    $179.95   1    $179.95

Shipping                                                      $13.95
Tax                                                            $0.00
                                ------------------------------------
Total                                                        $193.90

A charge of $193.90 will be made to your credit card.  If you have
ordered a physical item (i.e. not a service), the charge will be made
upon shipment.  You will receive confirmation via e-mail when the order
has been shipped.

<snip>

Unfortunately there is no record in our Oracle Database nor our Web tables
regarding this order number.

On User 'brucecornett's order page:

http://www.redhat.com/apps/orders/

there is nothing:

View Orders
                                                                                                              


       Orders Placed by User 'brucecornett'

                 Order Number
                                             Date
                                                              Ship Method
                                                                                        
Amount



Does this have anything to do with BUG 18838?

http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=18838


Thanks!

-Jeff
Comment 3 Tom Lancaster 2001-04-09 21:34:41 EDT
Jeff, this bug is very old ( I'm only just getting round to re-assigning all
plindner's old bugs ). Are you still seeing this behavior, or does this appear
to have been fixed?
Comment 4 Jay Turner 2001-09-28 09:10:53 EDT
I have not heard anyone complain about this happening recently, so I'm tending
to think that we have nipped it.  Closing out for now.  If someone needs to
reopen it, then do so.

Note You need to log in before you can comment on or make changes to this bug.